=== modified file 'drizzled/global.h'
--- drizzled/global.h	2008-08-09 21:43:24 +0000
+++ drizzled/global.h	2008-08-09 23:50:05 +0000
@@ -598,8 +598,6 @@
 
 #define NullS		(char *) 0
 
-#define STDCALL
-
 /* Typdefs for easyier portability */
 
 #ifndef HAVE_UCHAR

=== modified file 'libdrizzle/client.c'
--- libdrizzle/client.c	2008-08-09 06:41:03 +0000
+++ libdrizzle/client.c	2008-08-09 23:50:05 +0000
@@ -47,7 +47,7 @@
 #undef max_allowed_packet
 #undef net_buffer_length
 
-#define CLI_DRIZZLE_CONNECT STDCALL drizzle_connect
+#define CLI_DRIZZLE_CONNECT drizzle_connect
 
 #include <mysys/my_sys.h>
 #include <mysys/mysys_err.h>
@@ -481,7 +481,7 @@
 }
 
 
-void STDCALL
+void
 drizzle_free_result(DRIZZLE_RES *result)
 {
   if (result)
@@ -1060,7 +1060,7 @@
 */
 
 
-void STDCALL drizzle_server_end()
+void drizzle_server_end()
 {
   if (!drizzle_client_init)
     return;
@@ -1194,7 +1194,7 @@
 C_MODE_END
 
 
-DRIZZLE * STDCALL
+DRIZZLE *
 CLI_DRIZZLE_CONNECT(DRIZZLE *drizzle,const char *host, const char *user,
                        const char *passwd, const char *db,
                        uint32_t port, const char *unix_socket, uint32_t client_flag)
@@ -1630,7 +1630,7 @@
   Set current database
 **************************************************************************/
 
-int STDCALL
+int
 drizzle_select_db(DRIZZLE *drizzle, const char *db)
 {
   int error;
@@ -1690,7 +1690,7 @@
 }
 
 
-void STDCALL drizzle_close(DRIZZLE *drizzle)
+void drizzle_close(DRIZZLE *drizzle)
 {
   if (drizzle)          /* Some simple safety */
   {
@@ -1775,14 +1775,14 @@
   finish processing it.
 */
 
-int32_t STDCALL
+int32_t
 drizzle_send_query(DRIZZLE *drizzle, const char* query, uint32_t length)
 {
   return(simple_command(drizzle, COM_QUERY, (uchar*) query, length, 1));
 }
 
 
-int32_t STDCALL
+int32_t
 drizzle_real_query(DRIZZLE *drizzle, const char *query, uint32_t length)
 {
   if (drizzle_send_query(drizzle,query,length))
@@ -1796,7 +1796,7 @@
   drizzle_data_seek may be used.
 **************************************************************************/
 
-DRIZZLE_RES * STDCALL drizzle_store_result(DRIZZLE *drizzle)
+DRIZZLE_RES * drizzle_store_result(DRIZZLE *drizzle)
 {
   DRIZZLE_RES *result;
 
@@ -1890,7 +1890,7 @@
   Return next row of the query results
 **************************************************************************/
 
-DRIZZLE_ROW STDCALL
+DRIZZLE_ROW
 drizzle_fetch_row(DRIZZLE_RES *res)
 {
   if (!res->data)
@@ -1942,7 +1942,7 @@
   else the lengths are calculated from the offset between pointers.
 **************************************************************************/
 
-uint32_t * STDCALL
+uint32_t *
 drizzle_fetch_lengths(DRIZZLE_RES *res)
 {
   DRIZZLE_ROW column;
@@ -1955,7 +1955,7 @@
 }
 
 
-int STDCALL
+int
 drizzle_options(DRIZZLE *drizzle,enum drizzle_option option, const void *arg)
 {
   switch (option) {
@@ -2035,23 +2035,23 @@
 ****************************************************************************/
 
 /* DRIZZLE_RES */
-uint64_t STDCALL drizzle_num_rows(const DRIZZLE_RES *res)
+uint64_t drizzle_num_rows(const DRIZZLE_RES *res)
 {
   return res->row_count;
 }
 
-unsigned int STDCALL drizzle_num_fields(const DRIZZLE_RES *res)
+unsigned int drizzle_num_fields(const DRIZZLE_RES *res)
 {
   return res->field_count;
 }
 
-uint STDCALL drizzle_errno(const DRIZZLE *drizzle)
+uint drizzle_errno(const DRIZZLE *drizzle)
 {
   return drizzle ? drizzle->net.last_errno : drizzle_server_last_errno;
 }
 
 
-const char * STDCALL drizzle_error(const DRIZZLE *drizzle)
+const char * drizzle_error(const DRIZZLE *drizzle)
 {
   return drizzle ? drizzle->net.last_error : drizzle_server_last_error;
 }
@@ -2074,7 +2074,7 @@
    Signed number > 323000
 */
 
-uint32_t STDCALL
+uint32_t
 drizzle_get_server_version(const DRIZZLE *drizzle)
 {
   uint major, minor, version;
@@ -2092,7 +2092,7 @@
    and character_set_connection) and updates drizzle->charset so other
    functions like drizzle_real_escape will work correctly.
 */
-int STDCALL drizzle_set_character_set(DRIZZLE *drizzle, const char *cs_name)
+int drizzle_set_character_set(DRIZZLE *drizzle, const char *cs_name)
 {
   const CHARSET_INFO *cs;
   const char *save_csdir= charsets_dir;

=== modified file 'libdrizzle/client_settings.h'
--- libdrizzle/client_settings.h	2008-08-05 20:32:06 +0000
+++ libdrizzle/client_settings.h	2008-08-09 23:50:05 +0000
@@ -35,7 +35,7 @@
 #define reset_sigpipe(drizzle)
 
 void mysql_detach_stmt_list(LIST **stmt_list, const char *func_name);
-DRIZZLE * STDCALL
+DRIZZLE *
 cli_drizzle_connect(DRIZZLE *drizzle,const char *host, const char *user,
 		       const char *passwd, const char *db,
 		       uint port, const char *unix_socket,ulong client_flag);

=== modified file 'libdrizzle/drizzle.h'
--- libdrizzle/drizzle.h	2008-08-09 23:46:48 +0000
+++ libdrizzle/drizzle.h	2008-08-09 23:50:05 +0000
@@ -40,7 +40,7 @@
  */
 #ifndef DRIZZLE_SERVER_GLOBAL_H   /* If not standard header */
 #include <sys/types.h>
-#define STDCALL
+#define
 
 #endif /* DRIZZLE_SERVER_GLOBAL_H */
 
@@ -276,7 +276,7 @@
   work when linked against either the standard client library or the
   embedded server library, these functions should be called.
 */
-void STDCALL drizzle_server_end(void);
+void drizzle_server_end(void);
 
 /*
   drizzle_server_init/end need to be called when using libdrizzle or
@@ -297,53 +297,53 @@
   connection.  All uses of the connection(s) should be between these
   function calls.
 */
-bool STDCALL drizzle_thread_init(void);
-void STDCALL drizzle_thread_end(void);
+bool drizzle_thread_init(void);
+void drizzle_thread_end(void);
 
 /*
   Functions to get information from the DRIZZLE and DRIZZLE_RES structures
   Should definitely be used if one uses shared libraries.
 */
 
-uint64_t STDCALL drizzle_num_rows(const DRIZZLE_RES *res);
-unsigned int STDCALL drizzle_num_fields(const DRIZZLE_RES *res);
-bool STDCALL drizzle_eof(const DRIZZLE_RES *res);
+uint64_t drizzle_num_rows(const DRIZZLE_RES *res);
+unsigned int drizzle_num_fields(const DRIZZLE_RES *res);
+bool drizzle_eof(const DRIZZLE_RES *res);
 const DRIZZLE_FIELD *STDCALL drizzle_fetch_field_direct(const DRIZZLE_RES *res,
                 unsigned int fieldnr);
-const DRIZZLE_FIELD * STDCALL drizzle_fetch_fields(const DRIZZLE_RES *res);
-DRIZZLE_ROW_OFFSET STDCALL drizzle_row_tell(const DRIZZLE_RES *res);
-DRIZZLE_FIELD_OFFSET STDCALL drizzle_field_tell(const DRIZZLE_RES *res);
+const DRIZZLE_FIELD * drizzle_fetch_fields(const DRIZZLE_RES *res);
+DRIZZLE_ROW_OFFSET drizzle_row_tell(const DRIZZLE_RES *res);
+DRIZZLE_FIELD_OFFSET drizzle_field_tell(const DRIZZLE_RES *res);
 
-uint32_t STDCALL drizzle_field_count(const DRIZZLE *drizzle);
-uint64_t STDCALL drizzle_affected_rows(const DRIZZLE *drizzle);
-uint64_t STDCALL drizzle_insert_id(const DRIZZLE *drizzle);
-uint32_t STDCALL drizzle_errno(const DRIZZLE *drizzle);
-const char * STDCALL drizzle_error(const DRIZZLE *drizzle);
+uint32_t drizzle_field_count(const DRIZZLE *drizzle);
+uint64_t drizzle_affected_rows(const DRIZZLE *drizzle);
+uint64_t drizzle_insert_id(const DRIZZLE *drizzle);
+uint32_t drizzle_errno(const DRIZZLE *drizzle);
+const char * drizzle_error(const DRIZZLE *drizzle);
 const char *STDCALL drizzle_sqlstate(const DRIZZLE *drizzle);
-uint32_t STDCALL drizzle_warning_count(const DRIZZLE *drizzle);
-const char * STDCALL drizzle_info(const DRIZZLE *drizzle);
-uint32_t STDCALL drizzle_thread_id(const DRIZZLE *drizzle);
-const char * STDCALL drizzle_character_set_name(const DRIZZLE *drizzle);
-int32_t          STDCALL drizzle_set_character_set(DRIZZLE *drizzle, const char *csname);
+uint32_t drizzle_warning_count(const DRIZZLE *drizzle);
+const char * drizzle_info(const DRIZZLE *drizzle);
+uint32_t drizzle_thread_id(const DRIZZLE *drizzle);
+const char * drizzle_character_set_name(const DRIZZLE *drizzle);
+int32_t          drizzle_set_character_set(DRIZZLE *drizzle, const char *csname);
 
-DRIZZLE * STDCALL drizzle_create(DRIZZLE *drizzle);
-bool   STDCALL drizzle_change_user(DRIZZLE *drizzle, const char *user,
+DRIZZLE * drizzle_create(DRIZZLE *drizzle);
+bool   drizzle_change_user(DRIZZLE *drizzle, const char *user,
             const char *passwd, const char *db);
-DRIZZLE * STDCALL drizzle_connect(DRIZZLE *drizzle, const char *host,
+DRIZZLE * drizzle_connect(DRIZZLE *drizzle, const char *host,
              const char *user,
              const char *passwd,
              const char *db,
              uint32_t port,
              const char *unix_socket,
              uint32_t clientflag);
-int32_t    STDCALL drizzle_select_db(DRIZZLE *drizzle, const char *db);
-int32_t    STDCALL drizzle_query(DRIZZLE *drizzle, const char *q);
-int32_t    STDCALL drizzle_send_query(DRIZZLE *drizzle, const char *q, uint32_t length);
-int32_t    STDCALL drizzle_real_query(DRIZZLE *drizzle, const char *q, uint32_t length);
-DRIZZLE_RES * STDCALL drizzle_store_result(DRIZZLE *drizzle);
-DRIZZLE_RES * STDCALL drizzle_use_result(DRIZZLE *drizzle);
+int32_t    drizzle_select_db(DRIZZLE *drizzle, const char *db);
+int32_t    drizzle_query(DRIZZLE *drizzle, const char *q);
+int32_t    drizzle_send_query(DRIZZLE *drizzle, const char *q, uint32_t length);
+int32_t    drizzle_real_query(DRIZZLE *drizzle, const char *q, uint32_t length);
+DRIZZLE_RES * drizzle_store_result(DRIZZLE *drizzle);
+DRIZZLE_RES * drizzle_use_result(DRIZZLE *drizzle);
 
-void        STDCALL drizzle_get_character_set_info(const DRIZZLE *drizzle,
+void        drizzle_get_character_set_info(const DRIZZLE *drizzle,
                                                    MY_CHARSET_INFO *charset);
 
 /* local infile support */
@@ -360,37 +360,37 @@
 void
 drizzle_set_local_infile_default(DRIZZLE *drizzle);
 
-int32_t    STDCALL drizzle_shutdown(DRIZZLE *drizzle, enum drizzle_enum_shutdown_level shutdown_level);
-int32_t    STDCALL drizzle_dump_debug_info(DRIZZLE *drizzle);
-int32_t    STDCALL drizzle_refresh(DRIZZLE *drizzle, uint32_t refresh_options);
-int32_t    STDCALL drizzle_kill(DRIZZLE *drizzle, uint32_t pid);
-int32_t    STDCALL drizzle_set_server_option(DRIZZLE *drizzle, enum enum_drizzle_set_option option);
-int32_t    STDCALL drizzle_ping(DRIZZLE *drizzle);
-const char *  STDCALL drizzle_stat(DRIZZLE *drizzle);
-const char *  STDCALL drizzle_get_server_info(const DRIZZLE *drizzle);
-const char *  STDCALL drizzle_get_client_info(void);
-uint32_t  STDCALL drizzle_get_client_version(void);
-const char *  STDCALL drizzle_get_host_info(const DRIZZLE *drizzle);
-uint32_t  STDCALL drizzle_get_server_version(const DRIZZLE *drizzle);
-uint32_t  STDCALL drizzle_get_proto_info(const DRIZZLE *drizzle);
-DRIZZLE_RES *  STDCALL drizzle_list_tables(DRIZZLE *drizzle,const char *wild);
-DRIZZLE_RES *  STDCALL drizzle_list_processes(DRIZZLE *drizzle);
-int32_t    STDCALL drizzle_options(DRIZZLE *drizzle,enum drizzle_option option, const void *arg);
-void    STDCALL drizzle_free_result(DRIZZLE_RES *result);
-void    STDCALL drizzle_data_seek(DRIZZLE_RES *result, uint64_t offset);
-DRIZZLE_ROW_OFFSET STDCALL drizzle_row_seek(DRIZZLE_RES *result, DRIZZLE_ROW_OFFSET offset);
-DRIZZLE_FIELD_OFFSET STDCALL drizzle_field_seek(DRIZZLE_RES *result, DRIZZLE_FIELD_OFFSET offset);
-DRIZZLE_ROW  STDCALL drizzle_fetch_row(DRIZZLE_RES *result);
-uint32_t * STDCALL drizzle_fetch_lengths(DRIZZLE_RES *result);
-DRIZZLE_FIELD *  STDCALL drizzle_fetch_field(DRIZZLE_RES *result);
-DRIZZLE_RES *     STDCALL drizzle_list_fields(DRIZZLE *drizzle, const char *table, const char *wild);
-uint32_t  STDCALL drizzle_escape_string(char *to,const char *from, uint32_t from_length);
-uint32_t  STDCALL drizzle_hex_string(char *to,const char *from, uint32_t from_length);
-uint32_t        STDCALL drizzle_real_escape_string(DRIZZLE *drizzle, char *to, const char *from, uint32_t length);
-void    STDCALL myodbc_remove_escape(const DRIZZLE *drizzle, char *name);
-uint32_t  STDCALL drizzle_thread_safe(void);
-bool    STDCALL drizzle_embedded(void);
-bool         STDCALL drizzle_read_query_result(DRIZZLE *drizzle);
+int32_t    drizzle_shutdown(DRIZZLE *drizzle, enum drizzle_enum_shutdown_level shutdown_level);
+int32_t    drizzle_dump_debug_info(DRIZZLE *drizzle);
+int32_t    drizzle_refresh(DRIZZLE *drizzle, uint32_t refresh_options);
+int32_t    drizzle_kill(DRIZZLE *drizzle, uint32_t pid);
+int32_t    drizzle_set_server_option(DRIZZLE *drizzle, enum enum_drizzle_set_option option);
+int32_t    drizzle_ping(DRIZZLE *drizzle);
+const char *  drizzle_stat(DRIZZLE *drizzle);
+const char *  drizzle_get_server_info(const DRIZZLE *drizzle);
+const char *  drizzle_get_client_info(void);
+uint32_t  drizzle_get_client_version(void);
+const char *  drizzle_get_host_info(const DRIZZLE *drizzle);
+uint32_t  drizzle_get_server_version(const DRIZZLE *drizzle);
+uint32_t  drizzle_get_proto_info(const DRIZZLE *drizzle);
+DRIZZLE_RES *  drizzle_list_tables(DRIZZLE *drizzle,const char *wild);
+DRIZZLE_RES *  drizzle_list_processes(DRIZZLE *drizzle);
+int32_t    drizzle_options(DRIZZLE *drizzle,enum drizzle_option option, const void *arg);
+void    drizzle_free_result(DRIZZLE_RES *result);
+void    drizzle_data_seek(DRIZZLE_RES *result, uint64_t offset);
+DRIZZLE_ROW_OFFSET drizzle_row_seek(DRIZZLE_RES *result, DRIZZLE_ROW_OFFSET offset);
+DRIZZLE_FIELD_OFFSET drizzle_field_seek(DRIZZLE_RES *result, DRIZZLE_FIELD_OFFSET offset);
+DRIZZLE_ROW  drizzle_fetch_row(DRIZZLE_RES *result);
+uint32_t * drizzle_fetch_lengths(DRIZZLE_RES *result);
+DRIZZLE_FIELD *  drizzle_fetch_field(DRIZZLE_RES *result);
+DRIZZLE_RES *     drizzle_list_fields(DRIZZLE *drizzle, const char *table, const char *wild);
+uint32_t  drizzle_escape_string(char *to,const char *from, uint32_t from_length);
+uint32_t  drizzle_hex_string(char *to,const char *from, uint32_t from_length);
+uint32_t        drizzle_real_escape_string(DRIZZLE *drizzle, char *to, const char *from, uint32_t length);
+void    myodbc_remove_escape(const DRIZZLE *drizzle, char *name);
+uint32_t  drizzle_thread_safe(void);
+bool    drizzle_embedded(void);
+bool         drizzle_read_query_result(DRIZZLE *drizzle);
 
 
 
@@ -416,12 +416,12 @@
 } DRIZZLE_METHODS;
 
 
-bool STDCALL drizzle_commit(DRIZZLE *drizzle);
-bool STDCALL drizzle_rollback(DRIZZLE *drizzle);
-bool STDCALL drizzle_autocommit(DRIZZLE *drizzle, bool auto_mode);
-bool STDCALL drizzle_more_results(const DRIZZLE *drizzle);
-int STDCALL drizzle_next_result(DRIZZLE *drizzle);
-void STDCALL drizzle_close(DRIZZLE *sock);
+bool drizzle_commit(DRIZZLE *drizzle);
+bool drizzle_rollback(DRIZZLE *drizzle);
+bool drizzle_autocommit(DRIZZLE *drizzle, bool auto_mode);
+bool drizzle_more_results(const DRIZZLE *drizzle);
+int drizzle_next_result(DRIZZLE *drizzle);
+void drizzle_close(DRIZZLE *sock);
 
 
 /* status return codes */

=== modified file 'libdrizzle/drizzle_com.h'
--- libdrizzle/drizzle_com.h	2008-08-09 04:36:27 +0000
+++ libdrizzle/drizzle_com.h	2008-08-09 23:50:05 +0000
@@ -515,7 +515,7 @@
 
 /** @TODO Is it necessary to include all of drizzled/global.h here? */
 #ifdef DRIZZLE_SERVER_GLOBAL_H
-ulong STDCALL net_field_length(uchar **packet);
+ulong net_field_length(uchar **packet);
 uint64_t net_field_length_ll(uchar **packet);
 uchar *net_store_length(uchar *pkg, uint64_t length);
 #endif

=== modified file 'libdrizzle/libdrizzle.c'
--- libdrizzle/libdrizzle.c	2008-08-09 05:05:31 +0000
+++ libdrizzle/libdrizzle.c	2008-08-09 23:50:05 +0000
@@ -82,12 +82,12 @@
   return &drizzle_internal_parameters;
 }
 
-bool STDCALL drizzle_thread_init()
+bool drizzle_thread_init()
 {
   return my_thread_init();
 }
 
-void STDCALL drizzle_thread_end()
+void drizzle_thread_end()
 {
   my_thread_end();
 }
@@ -149,7 +149,7 @@
   return 0;
 }
 
-bool STDCALL drizzle_change_user(DRIZZLE *drizzle, const char *user,
+bool drizzle_change_user(DRIZZLE *drizzle, const char *user,
                                  const char *passwd, const char *db)
 {
   char buff[USERNAME_LENGTH+SCRAMBLED_PASSWORD_CHAR_LENGTH+NAME_LEN+2];
@@ -234,7 +234,7 @@
   Read data by drizzle_store_result or by repeat call of drizzle_fetch_row
 **************************************************************************/
 
-int STDCALL
+int
 drizzle_query(DRIZZLE *drizzle, const char *query)
 {
   return drizzle_real_query(drizzle,query, (uint) strlen(query));
@@ -245,7 +245,7 @@
   Return next field of the query results
 **************************************************************************/
 
-DRIZZLE_FIELD * STDCALL
+DRIZZLE_FIELD *
 drizzle_fetch_field(DRIZZLE_RES *result)
 {
   if (result->current_field >= result->field_count)
@@ -258,7 +258,7 @@
   Move to a specific row and column
 **************************************************************************/
 
-void STDCALL
+void
 drizzle_data_seek(DRIZZLE_RES *result, uint64_t row)
 {
   DRIZZLE_ROWS  *tmp=0;
@@ -275,7 +275,7 @@
   drizzle_fetch_field will return the next row or field after the last used
 *************************************************************************/
 
-DRIZZLE_ROW_OFFSET STDCALL
+DRIZZLE_ROW_OFFSET
 drizzle_row_seek(DRIZZLE_RES *result, DRIZZLE_ROW_OFFSET row)
 {
   DRIZZLE_ROW_OFFSET return_value=result->data_cursor;
@@ -285,7 +285,7 @@
 }
 
 
-DRIZZLE_FIELD_OFFSET STDCALL
+DRIZZLE_FIELD_OFFSET
 drizzle_field_seek(DRIZZLE_RES *result, DRIZZLE_FIELD_OFFSET field_offset)
 {
   DRIZZLE_FIELD_OFFSET return_value=result->current_field;
@@ -299,7 +299,7 @@
   If wild is given then only the tables matching wild is returned
 *****************************************************************************/
 
-DRIZZLE_RES * STDCALL
+DRIZZLE_RES *
 drizzle_list_tables(DRIZZLE *drizzle, const char *wild)
 {
   char buff[255];
@@ -331,7 +331,7 @@
   show fields in 'table' like "wild"
 **************************************************************************/
 
-DRIZZLE_RES * STDCALL
+DRIZZLE_RES *
 drizzle_list_fields(DRIZZLE *drizzle, const char *table, const char *wild)
 {
   DRIZZLE_RES   *result;
@@ -363,7 +363,7 @@
 
 /* List all running processes (threads) in server */
 
-DRIZZLE_RES * STDCALL
+DRIZZLE_RES *
 drizzle_list_processes(DRIZZLE *drizzle)
 {
   DRIZZLE_DATA *fields;
@@ -385,7 +385,7 @@
 }
 
 
-int STDCALL
+int
 drizzle_shutdown(DRIZZLE *drizzle, enum drizzle_enum_shutdown_level shutdown_level)
 {
   uchar level[1];
@@ -394,7 +394,7 @@
 }
 
 
-int STDCALL
+int
 drizzle_refresh(DRIZZLE *drizzle,uint options)
 {
   uchar bits[1];
@@ -403,7 +403,7 @@
 }
 
 
-int32_t STDCALL
+int32_t
 drizzle_kill(DRIZZLE *drizzle, uint32_t pid)
 {
   uchar buff[4];
@@ -412,7 +412,7 @@
 }
 
 
-int STDCALL
+int
 drizzle_set_server_option(DRIZZLE *drizzle, enum enum_drizzle_set_option option)
 {
   uchar buff[2];
@@ -433,7 +433,7 @@
 }
 
 
-int STDCALL
+int
 drizzle_ping(DRIZZLE *drizzle)
 {
   int res;
@@ -444,75 +444,75 @@
 }
 
 
-const char * STDCALL
+const char *
 drizzle_get_server_info(const DRIZZLE *drizzle)
 {
   return((char*) drizzle->server_version);
 }
 
 
-const char * STDCALL
+const char *
 drizzle_get_host_info(const DRIZZLE *drizzle)
 {
   return(drizzle->host_info);
 }
 
 
-uint STDCALL
+uint
 drizzle_get_proto_info(const DRIZZLE *drizzle)
 {
   return (drizzle->protocol_version);
 }
 
-const char * STDCALL
+const char *
 drizzle_get_client_info(void)
 {
   return (char*) MYSQL_SERVER_VERSION;
 }
 
-uint32_t STDCALL drizzle_get_client_version(void)
+uint32_t drizzle_get_client_version(void)
 {
   return MYSQL_VERSION_ID;
 }
 
-bool STDCALL drizzle_eof(const DRIZZLE_RES *res)
+bool drizzle_eof(const DRIZZLE_RES *res)
 {
   return res->eof;
 }
 
-const DRIZZLE_FIELD * STDCALL drizzle_fetch_field_direct(const DRIZZLE_RES *res, unsigned int fieldnr)
+const DRIZZLE_FIELD * drizzle_fetch_field_direct(const DRIZZLE_RES *res, unsigned int fieldnr)
 {
   return &(res)->fields[fieldnr];
 }
 
-const DRIZZLE_FIELD * STDCALL drizzle_fetch_fields(const DRIZZLE_RES *res)
+const DRIZZLE_FIELD * drizzle_fetch_fields(const DRIZZLE_RES *res)
 {
   return res->fields;
 }
 
-DRIZZLE_ROW_OFFSET STDCALL drizzle_row_tell(const DRIZZLE_RES *res)
+DRIZZLE_ROW_OFFSET drizzle_row_tell(const DRIZZLE_RES *res)
 {
   return res->data_cursor;
 }
 
-DRIZZLE_FIELD_OFFSET STDCALL drizzle_field_tell(const DRIZZLE_RES *res)
+DRIZZLE_FIELD_OFFSET drizzle_field_tell(const DRIZZLE_RES *res)
 {
   return res->current_field;
 }
 
 /* DRIZZLE */
 
-unsigned int STDCALL drizzle_field_count(const DRIZZLE *drizzle)
+unsigned int drizzle_field_count(const DRIZZLE *drizzle)
 {
   return drizzle->field_count;
 }
 
-uint64_t STDCALL drizzle_affected_rows(const DRIZZLE *drizzle)
+uint64_t drizzle_affected_rows(const DRIZZLE *drizzle)
 {
   return drizzle->affected_rows;
 }
 
-uint64_t STDCALL drizzle_insert_id(const DRIZZLE *drizzle)
+uint64_t drizzle_insert_id(const DRIZZLE *drizzle)
 {
   return drizzle->insert_id;
 }
@@ -522,7 +522,7 @@
   return drizzle ? drizzle->net.sqlstate : cant_connect_sqlstate;
 }
 
-uint32_t STDCALL drizzle_warning_count(const DRIZZLE *drizzle)
+uint32_t drizzle_warning_count(const DRIZZLE *drizzle)
 {
   return drizzle->warning_count;
 }
@@ -532,17 +532,17 @@
   return drizzle->info;
 }
 
-uint32_t STDCALL drizzle_thread_id(const DRIZZLE *drizzle)
+uint32_t drizzle_thread_id(const DRIZZLE *drizzle)
 {
   return drizzle->thread_id;
 }
 
-const char * STDCALL drizzle_character_set_name(const DRIZZLE *drizzle)
+const char * drizzle_character_set_name(const DRIZZLE *drizzle)
 {
   return drizzle->charset->csname;
 }
 
-void STDCALL drizzle_get_character_set_info(const DRIZZLE *drizzle, MY_CHARSET_INFO *csinfo)
+void drizzle_get_character_set_info(const DRIZZLE *drizzle, MY_CHARSET_INFO *csinfo)
 {
   csinfo->number   = drizzle->charset->number;
   csinfo->state    = drizzle->charset->state;
@@ -558,13 +558,13 @@
     csinfo->dir = charsets_dir;
 }
 
-uint STDCALL drizzle_thread_safe(void)
+uint drizzle_thread_safe(void)
 {
   return 1;
 }
 
 
-bool STDCALL drizzle_embedded(void)
+bool drizzle_embedded(void)
 {
 #ifdef EMBEDDED_LIBRARY
   return true;
@@ -610,7 +610,7 @@
   trailing '. The caller must supply whichever of those is desired.
 */
 
-uint32_t STDCALL
+uint32_t
 drizzle_hex_string(char *to, const char *from, uint32_t length)
 {
   char *to0= to;
@@ -631,13 +631,13 @@
   Returns the length of the to string
 */
 
-uint32_t STDCALL
+uint32_t
 drizzle_escape_string(char *to,const char *from, uint32_t length)
 {
   return escape_string_for_drizzle(default_charset_info, to, 0, from, length);
 }
 
-uint32_t STDCALL
+uint32_t
 drizzle_real_escape_string(DRIZZLE *drizzle, char *to,const char *from,
        uint32_t length)
 {
@@ -646,7 +646,7 @@
   return escape_string_for_drizzle(drizzle->charset, to, 0, from, length);
 }
 
-void STDCALL
+void
 myodbc_remove_escape(const DRIZZLE *drizzle, char *name)
 {
   char *to;
@@ -694,7 +694,7 @@
   Commit the current transaction
 */
 
-bool STDCALL drizzle_commit(DRIZZLE *drizzle)
+bool drizzle_commit(DRIZZLE *drizzle)
 {
   return((bool) drizzle_real_query(drizzle, "commit", 6));
 }
@@ -703,7 +703,7 @@
   Rollback the current transaction
 */
 
-bool STDCALL drizzle_rollback(DRIZZLE *drizzle)
+bool drizzle_rollback(DRIZZLE *drizzle)
 {
   return((bool) drizzle_real_query(drizzle, "rollback", 8));
 }
@@ -713,7 +713,7 @@
   Set autocommit to either true or false
 */
 
-bool STDCALL drizzle_autocommit(DRIZZLE *drizzle, bool auto_mode)
+bool drizzle_autocommit(DRIZZLE *drizzle, bool auto_mode)
 {
   return((bool) drizzle_real_query(drizzle, auto_mode ?
                                          "set autocommit=1":"set autocommit=0",
@@ -730,7 +730,7 @@
   to be read using drizzle_next_result()
 */
 
-bool STDCALL drizzle_more_results(const DRIZZLE *drizzle)
+bool drizzle_more_results(const DRIZZLE *drizzle)
 {
   return (drizzle->server_status & SERVER_MORE_RESULTS_EXISTS) ? true:false;
 }
@@ -739,7 +739,7 @@
 /*
   Reads and returns the next query results
 */
-int STDCALL drizzle_next_result(DRIZZLE *drizzle)
+int drizzle_next_result(DRIZZLE *drizzle)
 {
   if (drizzle->status != DRIZZLE_STATUS_READY)
   {
@@ -757,12 +757,12 @@
 }
 
 
-DRIZZLE_RES * STDCALL drizzle_use_result(DRIZZLE *drizzle)
+DRIZZLE_RES * drizzle_use_result(DRIZZLE *drizzle)
 {
   return (*drizzle->methods->use_result)(drizzle);
 }
 
-bool STDCALL drizzle_read_query_result(DRIZZLE *drizzle)
+bool drizzle_read_query_result(DRIZZLE *drizzle)
 {
   return (*drizzle->methods->read_query_result)(drizzle);
 }

=== modified file 'libdrizzle/pack.c'
--- libdrizzle/pack.c	2008-07-30 05:33:20 +0000
+++ libdrizzle/pack.c	2008-08-09 23:50:05 +0000
@@ -17,7 +17,7 @@
 #include <drizzle.h>
 
 /* Get the length of next field. Change parameter to point at fieldstart */
-ulong STDCALL net_field_length(uchar **packet)
+ulong net_field_length(uchar **packet)
 {
   register uchar *pos= (uchar *)*packet;
   if (*pos < 251)

